Subject: RE: [ANNOUNCE] Git v2.21.0-rc2

From: "Randall S. Becker" <[email-masked]>
Date: Thu, 21 Feb 2019 16:30:26 -0500

On February 21, 2019 16:07, SZEDER Gábor:
> On Thu, Feb 21, 2019 at 10:54:31AM -0500, Randall S. Becker wrote:
> > /home/git/git/t: sh t4153-am-resume-override-opts.sh ok 1 - setup ok 2
> > # skip --3way overrides --no-3way (missing TTY) ok 3 - --no-quiet
> > overrides --quiet ok 4 - --signoff overrides --no-signoff ok 5 # skip
> > --reject overrides --no-reject (missing TTY) # passed all 5 test(s)
> > 1..5
> >
> > Technically, we have TTY, but not that dev. The TTYs are not under
> > /dev/tty*, however.
> 
> The TTY prereq is not about /dev/tty, but about whether 't/test-terminal.perl'
> can simulate a pseudo-terminal, i.e. the necessary Perl modules are installed
> and working appropriately.

Good point. We don't have IO:Pty on the platform.